import request from '@/utils/request'

// 查询企微功能账号管理列表
export function listAccount(query) {
  return request({
    url: '/qw/account/list',
    method: 'get',
    params: query
  })
}

// 查询企微功能账号管理详细
export function getAccount(id) {
  return request({
    url: '/qw/account/' + id,
    method: 'get'
  })
}

// 新增企微功能账号管理
export function addAccount(data) {
  return request({
    url: '/qw/account',
    method: 'post',
    data: data
  })
}

// 审核企微功能账号管理
export function auditAccount(data) {
  return request({
    url: '/qw/account/audit',
    method: 'post',
    data: data
  })
}

// 删除企微功能账号管理
export function delAccount(id) {
  return request({
    url: '/qw/account/' + id,
    method: 'delete'
  })
}

// 导出企微功能账号管理
export function exportAccount(query) {
  return request({
    url: '/qw/account/export',
    method: 'get',
    params: query
  })
}